<?php
require_once('../../../wp-config.php');

$dateAdded=time();
$dateAdded=date('Y-m-d H:i:s',$dateAdded);
$dateAdded=strtotime($dateAdded);

global $wpdb;
$last_code = $wpdb->get_var( "SELECT max(cast(meta_value as unsigned)) FROM $wpdb->postmeta WHERE meta_key='codes-icid'");



$region = get_option('icsmpl_region', $region);
$username = get_option('icsmpl_username', $username);
$subid = get_option('icsmpl_subid', $subid);


if($region==""){$region="United Kingdom";}
if($region=="United Kingdom"){$reg_url="icodes.co.uk/ws_plugin";}
if($region=="United States"){$reg_url="icodes-us.com/ws_plugin";}
if($region=="India"){$reg_url="icodes-in.com/ws_plugin";}

$code="code";

$schedule="publish";

$import_type="Codes";

$start_page="1";
$endPage="4";

for ($page = $start_page; $page <= $endPage; $page++) {

$ch = curl_init();
$timeout = 0; // set to zero for no timeout
curl_setopt ($ch, CURLOPT_URL, "http://webservices.$reg_url.php?UserName=$username&SubscriptionID=$subid&RequestType=$import_type&Action=fromICID&Query=$last_code&Page=$page&PageSize=50&Sort=idASC&Relationship=Joined");
curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
$xml_raw  = curl_exec($ch);
$xml = simplexml_load_string($xml_raw);
curl_close($ch);

foreach ($xml->item as $item) {
    $id = $item->icid;
    $title = $item->title;
    $description = $item->description;
    $merchantLogoUrl = $item->merchant_logo_url;
    $img_url = $item->img_url;
    $affiliateUrl = $item->affiliate_url;
    $endDate = $item->expiry_date;
    $startDate = $item->start_date;
    $merchant = $item->merchant;
    $voucherCode = $item->voucher_code;
    $title=$title." from $merchant";
    $timestamp=strtotime($endDate);
    $timestamp2=strtotime($startDate);
    $category = $item->category;
    $category = str_replace("_"," ",$category);

    $cat_id=get_cat_ID($category);

$post = array(
    "post_title" => "$title",
    "post_content"  => "$description",
    "post_status"  => "$schedule"
    );

global $wpdb;
$results = $wpdb->get_results( "select post_id from $wpdb->postmeta where meta_value = '$id' and meta_key = '$import_type-icid'");
$post_id=$results[0]->post_id;

if($results){

$my_post = array(
      'ID'           => $post_id,
      'post_title'   => $title,
      'post_content' => $description
  );

wp_update_post( $my_post );
update_post_meta($post_id,"codes-end-date","$timestamp");
update_post_meta($post_id,"dateAdded","$dateAdded");
wp_set_post_categories($post_id, $cat_id);
}

else{

$post_id=wp_insert_post($post);
add_post_meta($post_id, "$import_type-icid", "$id");
add_post_meta($post_id, "code", "$voucherCode");
add_post_meta($post_id, "merchant", "$merchant");
add_post_meta($post_id, "affiliateUrl", "$affiliateUrl");
add_post_meta($post_id, "startDate", "$timestamp2");
add_post_meta($post_id, "dateAdded", "$dateAdded");
add_post_meta($post_id, "merchantLogoUrl", "$merchantLogoUrl");
add_post_meta($post_id, "imgUrl", "$img_url");
add_post_meta($post_id, "codes-end-date", "$timestamp");

wp_set_post_categories($post_id, $cat_id);
}
}
}
?>