<?php
/*
Plugin Name: OiP-simple
Plugin URI: http://www.icodes.co.uk
Description: OiP-simple - Official iCodes Plugin (simple version)
Version: 6.7
Author: Vincent Kelly support@icodes.co.uk
Author URI: http://www.icodes.co.uk
Copyright: icodes.co.uk
License: GPL2+
*/

function ic_admin() {
    include('icodes_settings_admin.php');
}

function ic_settings_admin() {
    include('icodes_settings_admin.php');
}

function ic_import_admin() {
    include('icodes_import_admin.php');
}

function ic_delete_admin() {
    include('icodes_delete_admin.php');
}


function ic_cron_admin() {
    include('icodes_cron_admin.php');
}

function ic_shortcodes_admin() {
    include('icodes_shortcodes_admin.php');
}


function ic_admin_actions() {
    add_menu_page("OiP Simple","OiP Simple", 1, "ic_admin", "ic_admin");
    add_submenu_page("ic_admin","","Settings",1, "ic_admin", "ic_admin");
    add_submenu_page("ic_admin", "Import","Import", 1, "ic_import_admin", "ic_import_admin");
    add_submenu_page("ic_admin", "Delete","Delete", 1, "ic_delete_admin", "ic_delete_admin");
    add_submenu_page("ic_admin", "Crons","Crons", 1, "ic_cron_admin", "ic_cron_admin");
    add_submenu_page("ic_admin", "Shortcodes","Shortcodes", 1, "ic_shortcodes_admin", "ic_shortcodes_admin");
}

add_action('admin_menu', 'ic_admin_actions');



function ic_merchant_all_direct_shortcode(){
include ('stores_all_direct.php');
}
add_shortcode('stores_all_direct', 'ic_merchant_all_direct_shortcode');



function ic_merchant_all_shortcode(){
include ('stores_all.php');
}
add_shortcode('stores_all', 'ic_merchant_all_shortcode');

function ic_merchant_codes_shortcode(){
include ('stores_codes.php');
}
add_shortcode('stores_codes', 'ic_merchant_codes_shortcode');

function ic_merchant_offers_shortcode(){
include ('stores_offers.php');
}
add_shortcode('stores_offers', 'ic_merchant_offers_shortcode');

function ic_latest_deals_shortcode(){
include ('latest_deals.php');
}
add_shortcode('latest_deals', 'ic_latest_deals_shortcode');

function ic_latest_codes_shortcode(){
include ('latest_codes.php');
}
add_shortcode('latest_codes', 'ic_latest_codes_shortcode');

function ic_latest_offers_shortcode(){
include ('latest_offers.php');
}
add_shortcode('latest_offers', 'ic_latest_offers_shortcode');

function ic_expiring_deals_shortcode(){
include ('expiring_deals.php');
}
add_shortcode('expiring_deals', 'ic_expiring_deals_shortcode');

function ic_expiring_codes_shortcode(){
include ('expiring_codes.php');
}
add_shortcode('expiring_codes', 'ic_expiring_codes_shortcode');

function ic_expiring_offers_shortcode(){
include ('expiring_offers.php');
}
add_shortcode('expiring_offers', 'ic_expiring_offers_shortcode');

function ic_exclusive_codes_shortcode(){
include ('exclusive_codes.php');
}
add_shortcode('exclusive_codes', 'ic_exclusive_codes_shortcode');

function ic_site_stats_shortcode(){
include ('site_stats.php');
}
add_shortcode('site_stats', 'ic_site_stats_shortcode');

function ic_store_logo_codes_shortcode(){
include ('store_logo_codes.php');
}
add_shortcode('store_logo_codes', 'ic_store_logo_codes_shortcode');

function ic_store_logo_offers_shortcode(){
include ('store_logo_offers.php');
}

add_shortcode('store_logo_offers', 'ic_store_logo_offers_shortcode');

function ic_store_logo_all_shortcode(){
include ('store_logo_all.php');
}

add_shortcode('store_logo_all', 'ic_store_logo_all_shortcode');


function ic_homepage_shortcode(){
include ('homepage.php');
}

add_shortcode('homepage', 'ic_homepage_shortcode');





add_filter ('the_content', 'ic_days_left');

function ic_days_left($content) {

   if(!is_page()) {

   $today=time();
   $today=date('Y-m-d',$today);

      global $post;
      $post_id=$post->ID;

      global $wpdb;
      $ic_date = $wpdb->get_var( "SELECT meta_value FROM $wpdb->postmeta WHERE post_id = '$post_id' and meta_key = 'startDate'");
      $ic_date=date('Y-m-d',$ic_date);

      if($ic_date > $today){

      $content.= '<div style="border:1px solid #C0C0C0; text-align:center; padding:4px; color: red;">';
      $content.= 'Promotion starts '.$ic_date.'';
      $content.= '</div>';}

      else{

      global $wpdb;
      $ic_date = $wpdb->get_var( "SELECT meta_value FROM $wpdb->postmeta WHERE post_id = '$post_id' and meta_key = 'codes-end-date'
      or post_id = '$post_id' and meta_key = 'offers-end-date'");



      if($ic_date){

      $ic_date=date('Y-m-d',$ic_date);

      $dateDiff = floor( strtotime($ic_date ) - strtotime( $today ) ) / 86400 ;
      if($dateDiff<8){

      if($dateDiff<0)
      {$days_left="Expired Deal";}

      elseif($dateDiff=="0")
      {$days_left="Ends Today";}

      elseif($dateDiff=="1")
      {$days_left="Only $dateDiff day left";}

      else{$days_left="Only $dateDiff days left";}

      $content.= '<div style="border:1px solid #C0C0C0; text-align:center; padding:4px; color: red;">';
      $content.= ''.$days_left.'';
      $content.= '</div>';}
      }}
  }
   return $content;
}

?>