<html>
<head>
<style>
table{
    border: 0px solid black;
    width: 100%;
    padding: 4px;
}
.hline {
clear: both; width:100%; height: 1px;  background: #C0C0C0; margin-top: 16px;
}

</style>
</head>
<body>

<?php
include 'config.php';
$region = get_option('icsmpl_region', $region);
$username = get_option('icsmpl_username', $username);
$subid = get_option('icsmpl_subid', $subid);

$unitSize = get_option('icsmpl_unitSize', $unitSize);
if($unitSize==""){$unitSize="5";}

$logoUnitSize = get_option('icsmpl_logoUnitSize', $logoUnitSize);
if($logoUnitSize==""){$logoUnitSize="6";}

$logoUnitWidth = get_option('icsmpl_logoUnitWidth', $logoUnitWidth);
$logoUnitHeight = get_option('icsmpl_logoUnitHeight', $logoUnitHeight);
if($logoUnitWidth==""){$logoUnitWidth="88";}
if($logoUnitHeight==""){$logoUnitHeight="31";}

if($region==""){$region="United Kingdom";}
if($region=="United Kingdom"){$reg_url="icodes.co.uk/ws_plugin";}
if($region=="United States"){$reg_url="icodes-us.com/ws_plugin";}
if($region=="India"){$reg_url="icodes-in.com/ws_plugin";}

$code="code";

$relationship="Joined";

$HomePageSize=$unitSize;

$ch = curl_init();
$timeout = 0; // set to zero for no timeout
curl_setopt ($ch, CURLOPT_URL, "http://webservices.$reg_url.php?UserName=$username&SubscriptionID=$subid&RequestType=Offers&Action=Merchants&GroupBy=Merchant&Page=1&PageSize=$logoUnitSize&Relationship=Joined&Sort=Random");
curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
$xml_raw  = curl_exec($ch);
$xml = simplexml_load_string($xml_raw);
curl_close($ch);

$total_items=trim($xml->Results);
$message=trim($xml->Message);

echo'<table style="width: 100%; border: 0px; padding: 4px;"><tr><td><div style="width: 100%; text-align: center;">';
foreach ($xml->item as $item) {

    $merchantLogoUrl = $item->merchant_logo_url;
    $affiliateUrl = $item->affiliate_url;
    $merchant = $item->merchant;

    $search_match=urlencode('"'.$merchant.'"');

 echo'<div style="display: inline-block; vertical-align: middle; margin: 8px;">
  <a href="'.$siteUrl.'/search/'.urlencode($merchant).'"><div class="logo"><img src="'.$merchantLogoUrl.'" title="'.$merchant.'" style="width: '.$logoUnitWidth.'px; height: '.$logoUnitHeight.'px; border: 1px solid #000000; padding: 4px; margin-right: 4px;padding:24px; background: #ffffff"></a>
  </div>
  </div>';
}
?>
</td></tr></table>
</body>
</html>